from pychart import *
import pychart.doc_support
import chartdemo
import re

x = 100
y = 500

def drawRect(fill):
    global x, y
    name = pychart.doc_support.stringify_value(style)
    #print "name=", name
    name = re.sub("fill_style\\.", "", name)
    name = pychart.doc_support.break_string(name)

    canvas.rectangle(line_style.default, fill, x, y, x+15, y+15)
    tb = text_box.T(text=name, loc=(x, y-18), line_style=None,
                    fill_style = None)
    x = x + 50
    tb.draw()

for style in fill_style.standards.list():
    drawRect(style)
    if x >= chartdemo.MaxWidth:
        x=100
        y=y-40
